Loading...
Searching...
No Matches
gsm0808_handover_request Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

3GPP TS 48.008 §3.2.1.8 HANDOVER REQUEST More...

`#include <gsm0808.h>`

## Data Fields

struct gsm0808_channel_type | channel_type
struct gsm0808_encrypt_info | encryption_information
struct osmo_gsm48_classmark | classmark_information
struct gsm0808_cell_id | cell_identifier_serving
struct gsm0808_cell_id | cell_identifier_target
enum gsm0808_cause | cause
bool | current_channel_type_1_present
uint8_t | current_channel_type_1
enum gsm0808_permitted_speech | speech_version_used
uint8_t | chosen_encryption_algorithm_serving
bool | old_bss_to_new_bss_info_present
| Pass either old_bss_to_new_bss_info or old_bss_to_new_bss_info_raw.
struct gsm0808_old_bss_to_new_bss_info | old_bss_to_new_bss_info
const uint8_t * | old_bss_to_new_bss_info_raw
| To feed the Old BSS to New BSS Information IE unchanged from the Handover Required message without having to decode it.
uint8_t | old_bss_to_new_bss_info_raw_len
const char * | imsi
const struct sockaddr_storage * | aoip_transport_layer
const struct gsm0808_speech_codec_list * | codec_list_msc_preferred
bool | call_id_present
uint32_t | call_id
const uint8_t * | global_call_reference
uint8_t | global_call_reference_len
bool | more_items
| set this to true iff any fields below are used
bool | kc128_present
uint8_t | kc128 [16]
bool | more_items2
| always set this to false

## Detailed Description

3GPP TS 48.008 §3.2.1.8 HANDOVER REQUEST

## Field Documentation

## aoip_transport_layer

const struct sockaddr_storage* gsm0808_handover_request::aoip_transport_layer

## call_id

uint32_t gsm0808_handover_request::call_id

## call_id_present

bool gsm0808_handover_request::call_id_present

## cause

enum gsm0808_cause gsm0808_handover_request::cause

## cell_identifier_serving

struct gsm0808_cell_id gsm0808_handover_request::cell_identifier_serving

## cell_identifier_target

struct gsm0808_cell_id gsm0808_handover_request::cell_identifier_target

## channel_type

struct gsm0808_channel_type gsm0808_handover_request::channel_type

## chosen_encryption_algorithm_serving

uint8_t gsm0808_handover_request::chosen_encryption_algorithm_serving

## classmark_information

struct osmo_gsm48_classmark gsm0808_handover_request::classmark_information

## codec_list_msc_preferred

const struct gsm0808_speech_codec_list* gsm0808_handover_request::codec_list_msc_preferred

## current_channel_type_1

uint8_t gsm0808_handover_request::current_channel_type_1

## current_channel_type_1_present

bool gsm0808_handover_request::current_channel_type_1_present

## encryption_information

struct gsm0808_encrypt_info gsm0808_handover_request::encryption_information

## global_call_reference

const uint8_t* gsm0808_handover_request::global_call_reference

## global_call_reference_len

uint8_t gsm0808_handover_request::global_call_reference_len

## imsi

const char* gsm0808_handover_request::imsi

## kc128

uint8_t gsm0808_handover_request::kc128[16]

## kc128_present

bool gsm0808_handover_request::kc128_present

## more_items

bool gsm0808_handover_request::more_items

set this to true iff any fields below are used

## more_items2

bool gsm0808_handover_request::more_items2

always set this to false

## old_bss_to_new_bss_info

struct gsm0808_old_bss_to_new_bss_info gsm0808_handover_request::old_bss_to_new_bss_info

## old_bss_to_new_bss_info_present

bool gsm0808_handover_request::old_bss_to_new_bss_info_present

Pass either old_bss_to_new_bss_info or old_bss_to_new_bss_info_raw.

## old_bss_to_new_bss_info_raw

const uint8_t* gsm0808_handover_request::old_bss_to_new_bss_info_raw

To feed the Old BSS to New BSS Information IE unchanged from the Handover Required message without having to decode it.

Pass either old_bss_to_new_bss_info or old_bss_to_new_bss_info_raw. Omit the TL part.

## old_bss_to_new_bss_info_raw_len

uint8_t gsm0808_handover_request::old_bss_to_new_bss_info_raw_len

## speech_version_used

enum gsm0808_permitted_speech gsm0808_handover_request::speech_version_used

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808.h